Table des matières

Release Notes - Wwise Unity Integration 2013.1

This release includes the Wwise SDK update for Wwise 2013.1, Android-related new features, and general bug fixes.

Compatibility:

  • Wwise SDK: 2012.2.x, 2013.1
  • Unity: 3.4.x, 3.5.x, 4.x

Supported Platforms:

  • Windows 8
    • Desktop
    • Windows Store App on Intel devices and ARM tablets
  • Windows (32bit)
  • Windows (64bit)
  • Mac OS X (10.6 and above)
  • iOS
  • Android
  • Xbox360
  • PS3

New Features:

  • Android: SoundBanks can now be saved in Android application packages (apk) and are accessible transparently using LoadBank() APIs.
  • Support for Windows 64bit.
  • Support for Windows 8.

Resolved Issues:

  • WG-22948: Positioning error due to listener index assignment error on PS3.
  • WG-22938: Positioning data passed by Unity Integration on Mac OSX is invalid.
  • WG-22334: Music userCue names are incorrectly reported to Unity as empty strings.
  • WG-22329: Cannot PostEvent() to global scope with Unity Integration.
  • WG-22255: Unity Android: Sound persists after switching app to background.
  • WG-22165: 3D positioning does not work properly under iOS and Android.
  • WG-21933: AkCallbackManager.cs handles deserialization of floats incorrectly. UserCue names broken.
  • WG-21365: Unity iOS: Cannot hear sounds after iOS audio interruption events come and go.
  • WG-22533: Some API binding functions shouldn't have exception handlers.

Improvements:

  • Windows and Mac distributions can coexist in the same Unity project.
  • Improved documentation readability and accuracy and added Platform-Specific Information section for easily reading the info about platforms of interest.
  • Build logs now support quiet and verbose modes for readability.
  • Build pipeline now checks user Python version and warns if it is outdated.
  • Deployment script can now be used directly to copy the Integration to Unity projects.

Migrations:

  • Visual Studio 2010 is now required to build the Integration for PS3.
  • Build scripts no longer support Python 2.6 and older versions. Python 2.7.x or 3.x is required.
  • The environment variable UNITY_PROJECT_ROOT is no longer required for building the Integration yourself. By default, the Integration is no longer automatically deployed to the folder specified by UNITY_PROJECT_ROOT. See Build the Native Integration Plug-in from Source for details.
  • Android build scripts no longer deploy PostprocessBuildPlayer scripts to Unity projects.
  • IntegrationDemo project is upgraded to Unity4 format.
Generated on Wed Sep 18 17:38:57 2019 for Wwise Unity Integration by  doxygen 1.6.3